# Dockerfile.alpine
FROM alpine:edge

# Enable the edge and edge/community repositories.
# If you already have those in your base image, you might not need these echo lines.
RUN echo "https://dl-cdn.alpinelinux.org/alpine/edge/main" >> /etc/apk/repositories && \
    echo "https://dl-cdn.alpinelinux.org/alpine/edge/community" >> /etc/apk/repositories

# Update indexes and install packages
RUN apk update && \
    apk add --no-cache \
      build-base \
      binutils \
      mold \
      meson \
      cmake \
      ninja \
      git \
      pkgconf \
      ccache \
      nodejs \
      npm \
      zip \
      alsa-lib-dev \
      pulseaudio-dev \
      libudev-zero-dev \
      wayland-dev \
      wayland-protocols \
      mesa-dev \
      sdl3
